package ru.ulstu.extractor.model;

import javax.persistence.Entity;
import javax.persistence.ManyToOne;

@Entity
public class Rule extends BaseEntity {
    @ManyToOne
    private AntecedentValue firstAntecedentValue;

    @ManyToOne
    private TimeSeries firstAntecedent;

    @ManyToOne
    private AntecedentValue secondAntecedentValue;

    @ManyToOne
    private TimeSeries secondAntecedent;

    private String consequent;

    public Rule() {
    }

    public Rule(Integer id, Integer version, AntecedentValue firstAntecedentValue, TimeSeries firstAntecedent, AntecedentValue secondAntecedentValue, TimeSeries secondAntecedent, String consequent) {
        super(id, version);
        this.firstAntecedentValue = firstAntecedentValue;
        this.firstAntecedent = firstAntecedent;
        this.secondAntecedentValue = secondAntecedentValue;
        this.secondAntecedent = secondAntecedent;
        this.consequent = consequent;
    }

    public AntecedentValue getFirstValue() {
        return firstAntecedentValue;
    }

    public void setFirstValue(AntecedentValue firstAntecedentValue) {
        this.firstAntecedentValue = firstAntecedentValue;
    }

    public TimeSeries getFirstAntecedent() {
        return firstAntecedent;
    }

    public void setFirstAntecedent(TimeSeries firstAntecedent) {
        this.firstAntecedent = firstAntecedent;
    }

    public AntecedentValue getSecondValue() {
        return secondAntecedentValue;
    }

    public void setSecondValue(AntecedentValue secondAntecedentValue) {
        this.secondAntecedentValue = secondAntecedentValue;
    }

    public TimeSeries getSecondAntecedent() {
        return secondAntecedent;
    }

    public void setSecondAntecedent(TimeSeries secondAntecedent) {
        this.secondAntecedent = secondAntecedent;
    }

    public String getConsequent() {
        return consequent;
    }

    public void setConsequent(String consequent) {
        this.consequent = consequent;
    }
}
